Summary: A software for drawing scientific graphs
Summary(ja): 2պץ
Name: ngraph-glibc
%define version 6.3.06
Version: %{version}
Release: 3
Copyright: distributable, Copyright(C)Satoshi ISHIZAKA,1997-1999
Group: Applications/Math
Packager: Amane Tanaka <amane@bd5.so-net.ne.jp>
Source: Ngraph-%{version}-src.tar.gz
Source1: http://www2e.biglobe.ne.jp/~isizaka/bin/ileaf-widgets.tar.Z
Url: http://www2e.biglobe.ne.jp/~isizaka/index.htm
Patch: Ngraph-install.diff
Patch1: Ngraph-lesstif-make.diff
Patch2: Ngraph-lesstif-make-ppc.diff
Requires: glibc >= 2.0.7
Exclusivearch: i386 ppc

BuildRoot: /var/tmp/ngraph-root

%description
   Ngraph is a software drawing scientific graphs for students, 
researchers, and engineers. Ngraph makes a graph from data  files written
in a general ASCII format. Fitting by a n-th polynomial, user-defined
functionals is available. Furthermore, masking invalid data, evaluation
of plotted data points, a transformation by a mathematical expression are
also available.Ngraph will assist making a scientific graph for the purpose
of your presentation, and also analysing data.Copyright (C) Satoshi ISHIZAKA.
   Motif or Lesstif libraries must be required to build the binaries.
This package include ileaf-widgets.tar.Z (Copyright 1993 Interleaf, Inc.),
codes for ComboBox Widget, which are required when ngraph is build with
Motif 1.2 or Lesstif. The copyright and permission notice of this widget
are written in a document file, TODO.jis.

%description -l ja
  NgraphϳԡѼԤΤ˺줿պץ
Ǥ ΤASCIIΥƥȥե뤫ͥǡݥɤ߹
ߥդ˥ץåȤ뤳ȤǤޤ ޤؿݥؿˤ
ǾեåȤǤۤ ץåȤ줿ǡݥɾޥѹ
ǽǤꡢ ˻ꤷϥǡݥù٤ʿѴǽ
ɤʤɡ ץ쥼ơݥѥպŪΤߤαޤ餺ǡݥ
Ϥ򥢥Ȥޤ(:к ( Ȥ)ΥɥȤ)
  ХʥӥȤ뤿ˤ Motif ޤ Lesstif ѤޤMotif 1.2
ޤ Lesstif ξ硢 ComboBox Widget (Copyright 1993 Interleaf,Inc.)
ѤΥѥåϤޤߤޤ Widget 
ؤƤ TODO.jis ˽񤫤Ƥޤ

%changelog
* Tue Jan 11 2000 Amane Tanaka <amane@bd5.so-net.ne.jp>
- Build section was changed to execute correct patch for compiling with
- Lesstif by using S.Sakoda's patch information. Thanks, Mr.Sakoda!
* Sat Jan 8 2000 Amane Tanaka <amane@bd5.so-net.ne.jp>
- Compiled with Motif-2.1.0 on i386 support 
- Packager: Seiji Sakoda <sakoda@cc.nda.ac.jp> --> AT
* Mon Nov 8 1999 Seiji Sakoda <sakoda@cc.nda.ac.jp>
- update to version 6.3.06
- Compiled with Lesstif-0.89.4 with ComboBox support
- Packager: Amane Tanaka <amane@bd5.so-net.ne.jp> ---> SS


%prep
%setup -n Ngraph-6.3.06-src
%patch -p1
%build
if [ -n "`rpm -qa | grep lesstif`" ]
then
%ifarch i386
		patch -p1 <${RPM_SOURCE_DIR}/Ngraph-lesstif-make.diff
%else
		patch -p1 <${RPM_SOURCE_DIR}/Ngraph-lesstif-make-ppc.diff
%endif
	cd combo
	tar -zxf ${RPM_SOURCE_DIR}/ileaf-widgets.tar.Z
	gcc -c -o ComboBox.o ComboBox.c -I/usr/X11R6/include
	cd ..
fi
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}/usr
mkdir ${RPM_BUILD_ROOT}/usr/local
mkdir ${RPM_BUILD_ROOT}/usr/local/lib
mkdir ${RPM_BUILD_ROOT}/usr/local/bin
chmod -R 0755 ${RPM_BUILD_ROOT}
make INSTALLDIR=/usr/local/lib/Ngraph BINDIR=/usr/local/bin install

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_DIR}/Ngraph-%{version}-src

%files
%attr(755,root,root)
/usr/local/bin/ngraph
/usr/local/lib/Ngraph/
%doc INSTALL.jis
%doc TODO.jis
